jedijeff
Enthusiast
Enthusiast

Trying to determine which vendor to believe for supported driver version

I am in a situation where I have some IBM system x boxes (7143s) that have some Emulex FC and HBA cards in them. Of course those cards  were OEM cards by IBM. IBM would provide the firmware and I would find a supported driver on the HCL.

I am running esxi 6U2, was v5.5. And I am trying to get everything patched before we upgrade some San software, which of course has is its own compatibility matrix.

Needless to say what has happened since we purchased these ages ago is:

1. Lenovo has the IBM system X now. They seem to have not updated firmware in ages on the card.

2. Avago now has Emulex now, and they dont even seem to recognized that any of Emulex cards were ever OEMd. But I can find firmware and driver for the model that was OEM

So I have the VMware HCL giving me a recommended driver version according to the DID, etc. which is rather old driver. I also have Avago giving me a different version but it appears it is for the Emulex model of card, not the same model that IBM OEM.

It is kind of maddening. I am just not sure what to believe. Is the HCL up to date? Will the Avago non-oem emulex work?

What do others do in this situation. I have opened up support calls with VMware and IBM, both gave different answers and didnt seem to vested in the solution.

0 Kudos
3 Replies
ThompsG
Virtuoso
Virtuoso

Hi,

Depends on who you have a support contract with and if you are experiencing any of the issues that are fixed in the new version of firmware/drivers Smiley Happy

For me, I go with the VMware HCL because this is the approved and supported recipe by VMware. If there are any issues encountered then they have validated that the driver/firmware combination works in their LABS and so a support case is easier to raise. Of course they may then recommend installing a new driver/firmware but the starting point would be what VMware have qualified as working.

Trust this helps.

0 Kudos
jedijeff
Enthusiast
Enthusiast

Thank you very much. I will stick with the HCL.

0 Kudos
Jeff_Emulex
Contributor
Contributor

Look on IBM Fix Central for currently supported codestack on IBM System x3850 (MTM 7143).

Here is the link for not only system level code but also for all of the various supported components including Emulex and other vendor¹s part #s -

https://www-945.ibm.com/support/fixcentral/systemx/selectFixes?parent=System%2Bx3850%2BX5&product=ibm/systemx/7143&&platform=VMware+5&function=all

However, there is no support on this system for anything beyond VMware 5.5. So VMware 6.2 is by itself not supported unless IBM or Lenovo Spore team have done some special testing.

If you really need to run a newer OS on these old systems, i would recommend that you open up a Spore request with Lenovo Support.

0 Kudos